AnalysisType
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.types
Enum AnalysisType

    java.lang.Object
      java.lang.Enum<AnalysisType>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.types.AnalysisType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AnalysisType>

    public enum AnalysisType

extends java.lang.Enum<AnalysisType>

Enum Constant Summary
`GEOGRAPHIC_HCAF`
`GEOGRAPHIC_HSPEC`
`HCAF` NB HSPEC-INVOLVING ANALYSIS REQUIRE FLOAT THRESHOLD PARAMETER
`HSPEC`
`HSPEN`
`MIXED`

Method Summary
`static AnalysisType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AnalysisType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HCAF

    public static final AnalysisType HCAF

  NB HSPEC-INVOLVING ANALYSIS REQUIRE FLOAT THRESHOLD PARAMETER

### HSPEC

    public static final AnalysisType HSPEC

### MIXED

    public static final AnalysisType MIXED

### GEOGRAPHIC_HCAF

    public static final AnalysisType GEOGRAPHIC_HCAF

### HSPEN

    public static final AnalysisType HSPEN

### GEOGRAPHIC_HSPEC

    public static final AnalysisType GEOGRAPHIC_HSPEC

Method Detail

### values

    public static AnalysisType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnalysisType c : AnalysisType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnalysisType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD